# written manually, this is root entry files for automake together with Makefile.am
# inspired from
# http://www.gnu.org/software/automake/manual/html_node/Creating-amhello.html#Creating-amhello

AC_INIT([allaby], [0.1], [pl@artisanlogiciel.net])

# set ARTLOG_TOOLBOX where artlog_toolbox is to use it.
[ARTLOG_TOOLBOX=`pwd`/`./locate_artlog_toolbox.sh`]

# non need to propagate it in .h ...
# AC_DEFINE_UNQUOTED([ARTLOG_TOOLBOX],["$ARTLOG_TOOLBOX"],[where artog toolbox is])

ARTLOG_CPPFLAGS="-I${ARTLOG_TOOLBOX}/build/include"
ARTLOG_LDFLAGS="-Wl,-Bstatic -L${ARTLOG_TOOLBOX}/build/lib -lalsave -laltest -laljson -lalstack -lalhash -laldev -Wl,-Bdynamic"

AC_SUBST(ARTLOG_CPPFLAGS)
AC_SUBST(ARTLOG_LDFLAGS)

[if [ "$ALEXPANDER_DIR" = "" ]]
[then]
[ALEXPANDER_DIR=`pwd`/../sharedrawweb]
[fi]
ALEXPANDER_CPPFLAGS="-I${ALEXPANDER_DIR}/build/include -D CHARSPERRECORD=80"
ALEXPANDER_LDFLAGS="-Wl,-Bstatic -L${ALEXPANDER_DIR}/build/lib -lalima -lalcommon -Wl,-Bdynamic"

AC_SUBST(ALEXPANDER_CPPFLAGS)
AC_SUBST(ALEXPANDER_LDFLAGS)

AM_INIT_AUTOMAKE([-Wall -Werror foreign])
AC_PROG_CC
AC_CONFIG_HEADERS([config.h])
AC_DEFINE([MAX_FLAT_VIEWS],[20],[maximum number of view])
AC_CONFIG_FILES([
 Makefile
 c/Makefile
])
AC_OUTPUT
